Apply receipt to an invoice installment
post
/fscmRestApi/resources/11.13.18.05/standardReceipts/{StandardReceiptId}/action/applyReceipt
Applies an existing cash receipt or a portion of it to a specified invoice installment. The process enforces business rules such as currency conversion and discount handling.
Request
Path Parameters
-
StandardReceiptId(required): integer(int64)
The unique identifier of the standard receipt.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/vnd.oracle.adf.action+json
Root Schema : schema
Type:
Show Source
object-
amountApplied: number
Amount of the receipt to apply to the specified installment. If the amount isn't provided, the full open balance of the transaction is applied.
-
appliedPaymentScheduleId: number
Identifier of the invoice installment to which the receipt is applied.
-
calledFrom: string
Identifier of the caller or process that initiated the application, such as REST, Lockbox, or an integration name. Used for audit and downstream processing.
Response
Supported Media Types
- application/json
- application/vnd.oracle.adf.actionresult+json
Default Response
The following table describes the default response for this task.
Root Schema : schema
Type:
Show Source
object-
result(required): string
If the request is successful, then this action returns a value of SUCCESS. Otherwise, this action returns errors.